it.csi.mddtools.guigen

## Interface Header

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Header
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Header'. Header dell'applicazione. comune a tutti i ContentPanel

  The following features are supported:

  - `Cod Canale`
  - `Cod Applicativo`
  - `Nome Canale`
  - `Link Canale`
  - `Nome Applicativo`
  - `Title`
  - `Meta Attributes`
  See Also:
    `GuigenPackage.getHeader()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodApplicativo()` Returns the value of the 'Cod Applicativo' attribute
    `java.lang.String` | `getCodCanale()` Returns the value of the 'Cod Canale' attribute
    `java.lang.String` | `getLinkCanale()` Returns the value of the 'Link Canale' attribute
    `org.eclipse.emf.common.util.EList<HeaderMetaAttr>` | `getMetaAttributes()` Returns the value of the 'Meta Attributes' containment reference list.
    `java.lang.String` | `getNomeApplicativo()` Returns the value of the 'Nome Applicativo' attribute
    `java.lang.String` | `getNomeCanale()` Returns the value of the 'Nome Canale' attribute
    `java.lang.String` | `getTitle()` Returns the value of the 'Title' attribute
    `void` | `setCodApplicativo(java.lang.String value)` Sets the value of the '`Cod Applicativo`' attribute
    `void` | `setCodCanale(java.lang.String value)` Sets the value of the '`Cod Canale`' attribute
    `void` | `setLinkCanale(java.lang.String value)` Sets the value of the '`Link Canale`' attribute
    `void` | `setNomeApplicativo(java.lang.String value)` Sets the value of the '`Nome Applicativo`' attribute
    `void` | `setNomeCanale(java.lang.String value)` Sets the value of the '`Nome Canale`' attribute
    `void` | `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCodCanale

          java.lang.String getCodCanale()

      Returns the value of the 'Cod Canale' attribute.

      If the meaning of the 'Cod Canale' attribute isn't clear, there really should be more of a description here...

      Codice del canale all'interno del portale.
      Returns:
        the value of the 'Cod Canale' attribute.
      See Also:
        `setCodCanale(String)`, `GuigenPackage.getHeader_CodCanale()`

    - #### setCodCanale

          void setCodCanale(java.lang.String value)

      Sets the value of the '`Cod Canale`' attribute.
      Parameters:
        `value` - the new value of the 'Cod Canale' attribute.
      See Also:
        `getCodCanale()`

    - #### getCodApplicativo

          java.lang.String getCodApplicativo()

      Returns the value of the 'Cod Applicativo' attribute.

      If the meaning of the 'Cod Applicativo' attribute isn't clear, there really should be more of a description here...

      Codice dell'applicativo come codificato nel portale
      Returns:
        the value of the 'Cod Applicativo' attribute.
      See Also:
        `setCodApplicativo(String)`, `GuigenPackage.getHeader_CodApplicativo()`

    - #### setCodApplicativo

          void setCodApplicativo(java.lang.String value)

      Sets the value of the '`Cod Applicativo`' attribute.
      Parameters:
        `value` - the new value of the 'Cod Applicativo' attribute.
      See Also:
        `getCodApplicativo()`

    - #### getNomeCanale

          java.lang.String getNomeCanale()

      Returns the value of the 'Nome Canale' attribute.

      If the meaning of the 'Nome Canale' attribute isn't clear, there really should be more of a description here...

      nome descrittivo del canale tematico.
      Returns:
        the value of the 'Nome Canale' attribute.
      See Also:
        `setNomeCanale(String)`, `GuigenPackage.getHeader_NomeCanale()`

    - #### setNomeCanale

          void setNomeCanale(java.lang.String value)

      Sets the value of the '`Nome Canale`' attribute.
      Parameters:
        `value` - the new value of the 'Nome Canale' attribute.
      See Also:
        `getNomeCanale()`

    - #### getLinkCanale

          java.lang.String getLinkCanale()

      Returns the value of the 'Link Canale' attribute.

      If the meaning of the 'Link Canale' attribute isn't clear, there really should be more of a description here...

      Link della home page del canale tematico
      Returns:
        the value of the 'Link Canale' attribute.
      See Also:
        `setLinkCanale(String)`, `GuigenPackage.getHeader_LinkCanale()`

    - #### setLinkCanale

          void setLinkCanale(java.lang.String value)

      Sets the value of the '`Link Canale`' attribute.
      Parameters:
        `value` - the new value of the 'Link Canale' attribute.
      See Also:
        `getLinkCanale()`

    - #### getNomeApplicativo

          java.lang.String getNomeApplicativo()

      Returns the value of the 'Nome Applicativo' attribute.

      If the meaning of the 'Nome Applicativo' attribute isn't clear, there really should be more of a description here...

      Nome descrittivo dell'applicativo
      Returns:
        the value of the 'Nome Applicativo' attribute.
      See Also:
        `setNomeApplicativo(String)`, `GuigenPackage.getHeader_NomeApplicativo()`

    - #### setNomeApplicativo

          void setNomeApplicativo(java.lang.String value)

      Sets the value of the '`Nome Applicativo`' attribute.
      Parameters:
        `value` - the new value of the 'Nome Applicativo' attribute.
      See Also:
        `getNomeApplicativo()`

    - #### getTitle

          java.lang.String getTitle()

      Returns the value of the 'Title' attribute.

      If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Title' attribute.
      See Also:
        `setTitle(String)`, `GuigenPackage.getHeader_Title()`

    - #### setTitle

          void setTitle(java.lang.String value)

      Sets the value of the '`Title`' attribute.
      Parameters:
        `value` - the new value of the 'Title' attribute.
      See Also:
        `getTitle()`

    - #### getMetaAttributes

          org.eclipse.emf.common.util.EList<HeaderMetaAttr> getMetaAttributes()

      Returns the value of the 'Meta Attributes' containment reference list. The list contents are of type `HeaderMetaAttr`.

      If the meaning of the 'Meta Attributes' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Meta Attributes' containment reference list.
      See Also:
        `GuigenPackage.getHeader_MetaAttributes()`